Song slider broken on GTK >= 3.5.0

June 28, 2012 00:27 - Jean-Louis Dupond

Status: Closed Start date: June 28, 2012

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: plugins/gtkui Estimated time: 0.00 hour

Target version: 3.3   

Affects version:    

Description

Hi

In GTK 3.5.0 there was some fix to change the behavior of the GtkScale slider.

Therefor there is no more hack needed to make it working as we want, so the hack should be undone for GTK 3.5.0 and bigger.

Attached a patch that fixes this issue.

Thanks for review!

History

#1 - June 28, 2012 00:59 - John Lindgren

It has already been mentioned that the workaround is no longer necessary for GTK+ 3.5, and perhaps we will take it out once GTK+ 3.5 is released,

but how is it "broken"?

(Edit: That is, when 3.5 becomes 3.6.)

#2 - June 28, 2012 07:35 - Jean-Louis Dupond

Well i'm on Ubuntu Quantal which already has GTK+ 3.5.

Clicking on the slider doesn't do anything anymore.

You can only change position when dragging the slider.

I think the attached patch is the way to go.

Don't think its good to lose compatibility with GTK+ < 3.5

#3 - June 28, 2012 17:35 - Thomas Lange

- File GTK35.patch added

The two functions with the hack are no more needed at all.

In my opinion Audacious should really have these version checks too.

Now, not when 3.6.0 is released.

Generally I agree with your opinion, John. But not in this case.

By the way, rhythmbox got a commit today which fixes the same bug:

http://git.gnome.org/browse/rhythmbox/commit/?id=a16a8bb41090233a28778e45f277e94de091f773
#4 - June 28, 2012 23:56 - John Lindgren

Jean-Louis Dupond wrote:

Clicking on the slider doesn't do anything anymore.

You can only change position when dragging the slider.

 

Hi, thanks for FINALLY STATING WHAT THE PROBLEM IS.  Useless discussions (and disagreements) can go on a long time if you leave out the

critical piece of information.  (Mr. Lange, I'm talking to you also.)

#5 - June 29, 2012 00:06 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.3

- % Done changed from 0 to 100

#6 - June 29, 2012 00:35 - Thomas Lange

Do you really want to remove compatibility with GTK <= 3.4 with Audacious 3.3?

What happens if "someone" files bug report #139 titled "Song slider broken on GTK <= 3.4.3"?

Will you reject it? Gosh...

#7 - June 29, 2012 03:54 - John Lindgren

We haven't "removed compatibility" with GTK+ 3.4.  We only reverted to the behavior GtkSlider has in other applications: you use middle-click to set

the position directly (just like on a scrollbar).  And yes, if "someone" has the gall to file that bug report, I will reject it.

Files

slider_fix.patch 791 Bytes June 28, 2012 Jean-Louis Dupond

GTK35.patch 1.27 KB June 28, 2012 Thomas Lange
